Summary:	Utilities to create and check MS-DOS FAT filesystems
Name:		dosfstools
Version:	3.0.28
Release:	1
License:	GPLv3+
Group:		File tools
Url:		http://github.com/dosfstools/dosfstools
Source0:	http://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Provides:	mkdosfs-ygg = %{version}

%description
Inside of this package there are two utilities to create and to
check MS-DOS FAT filesystems on either harddisks or floppies under
Linux. This version uses the enhanced boot sector/superblock
format of DOS 3.3+ as well as provides a default dummy boot sector
code.

%files -f %{name}.lang
%doc ChangeLog doc/README.*
/sbin/fatlabel
/sbin/mkdosfs
/sbin/mkfs.fat
/sbin/mkfs.msdos
/sbin/mkfs.vfat
/sbin/fsck.fat
/sbin/fsck.msdos
/sbin/fsck.vfat
/sbin/dosfsck
/sbin/dosfslabel
%{_mandir}/man8/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%make \
	PREFIX=%{_prefix} \
	CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%install
%make \
	DESTDIR=%{buildroot} \
	install-bin \
	install-man \
	install-symlinks \
	PREFIX=%{_prefix} \
	SBINDIR=/sbin

%find_lang fatlabel fsck.fat mkfs.fat %{name}.lang --with-man

%changelog

* Wed Mar 16 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.0.28-1
- (ac580ca) New version 3.0.28
- (ac580ca) Update files (new utility fatlabel etc)
- (ac580ca) New upstream URL


